Bug 806541 - remove nspluginwrapper from default components
remove nspluginwrapper from default components
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: comps (Show other bugs)
17
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-24 10:52 EDT by Scott Talbert
Modified: 2014-03-16 23:30 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-19 12:43:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott Talbert 2012-03-24 10:52:11 EDT
Description of problem: In a fresh install of Fedora 16 x86_64, nspluginwrapper attempts to wrap the 64-bit versions of libflashplayer and libgnome-shell-browser.  These should probably be added to the exclude_list as they do not need to be wrapped.
Comment 1 Martin Stransky 2012-04-16 07:48:45 EDT
We should remove nspluginwrapper from default components. The exclude_list is not a good solution, 32->64 wrapping won't work then.
Comment 2 Martin Stransky 2012-04-16 07:51:40 EDT
Please remove nspluginwrapper from default component list, it's not needed for flash any more. Flash 64bit is available now and firefox uses plugin-container to shield the main process. 

Nspluginwrapper is used for 64->32bit wrapping which is used by Adobe reader plugin only.
Comment 3 Bill Nottingham 2012-04-19 12:43:41 EDT
It's already been done for F17 and later.

Note You need to log in before you can comment on or make changes to this bug.